Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1344257 - ERROR: duplicate key value violates unique constraint "cp_product_content_pkey"
Summary: ERROR: duplicate key value violates unique constraint "cp_product_content_pkey"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On: 1344402
Blocks: 1360430
TreeView+ depends on / blocked
 
Reported: 2016-06-09 09:34 UTC by Roman Plevka
Modified: 2019-04-01 20:26 UTC (History)
8 users (show)

Fixed In Version: candlepin-0.9.54.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1344402 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:32:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15482 None None None 2016-07-06 14:45:03 UTC

Description Roman Plevka 2016-06-09 09:34:14 UTC
Description of problem:
On removing a product with many repositories, candlepin throws a number of exceptions (probably due to a race condition).

This leads to a failed task which stays in paused state and blocks other related tasks (e.g. organization removal).
Resuming the task sometimes works.



Version-Release number of selected component (if applicable):
6.2.0 Beta GA15.0

How reproducible:


Steps to Reproduce:
1. create an organization with some product
2. create many repositories inside this product
3. [optional] tail -f /var/log/candlepin/candlepin.log
4. delete the product (or an organization)

```
this simple loop should feed your product by 50 repos:
ORG=3
PROD=1
for i in {1..50}; do hammer --csv repository create --content-type puppet --name="foo_${i}" --organization-id ${ORG} --product-id ${PROD} --url="https://aaaaa.com/aaa/${i}"; done
```
- the URL length migh matter (or whatever that keeps candlepin more busy while processing the repo)

Actual results:
ERROR: duplicate key value violates unique constraint "cp_product_content_pkey"

Expected results:
- no SQL errors, product properly removed

Additional info:

Comment 5 Filip Nguyen 2016-06-13 07:15:41 UTC
There are two more bugs that might be holding up this issue: 1345765, 1345766.

The original problem with cp_product_content_pkey already has associted (unreviewed) fix in 1344402

Comment 19 Roman Plevka 2016-06-28 12:22:56 UTC
the following BZ is most probably related to this:
https://bugzilla.redhat.com/show_bug.cgi?id=1317922

Comment 22 Bryan Kearney 2016-07-06 16:14:37 UTC
Upstream bug component is Candlepin

Comment 25 Peter Ondrejka 2016-10-19 09:12:55 UTC
Verified in Sat 6.3 snap 5 according to steps detailed in problem description. A product with a large number of repos is now successfully removed and no sql errors appear in /var/log/candlepin/candlepin.log

Comment 26 Bryan Kearney 2018-02-21 16:32:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.